# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Storable.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
%filter_from_requires /^perl.Class.AutoDB/d
Name:           perl-AutoClass
Version:        1_01
Release:        alt1_18
Summary:        Automatically define classes and objects for Perl
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/autoclass/
Source0:        http://www.cpan.org/modules/by-module/Class/autoclass_v%{version}.tgz
BuildArch:      noarch
BuildRequires:  perl(IO/Scalar.pm)
BuildRequires:  perl(Test/Deep.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
Source44: import.info

%description 
AutoClass is a Perl module to automatically define simple get and set
methods to automatically initialize objects in a (possibly multiple)
inheritance structure.

%prep
%setup -q -n AutoClass

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes Makefile
%{perl_vendor_privlib}/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 1_01-alt1_18
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1_01-alt1_17
- update to new release by fcimport

* Tue May 29 2012 Igor Vlasenko <viy@altlinux.ru> 1_01-alt1_15
- fc import

